Name:		qpdfview
Summary:	Tabbed PDF viewer
Version:	0.4.16
Release:	%mkrel 4
License:	GPLv2
Group:		Office/Utilities
URL:		https://launchpad.net/qpdfview
Source0:	https://launchpad.net/qpdfview/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	qttools5
BuildRequires:	cups-devel
BuildRequires:	djvulibre-devel
BuildRequires:	magic-devel
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(zlib)

Requires:	qt5-database-plugin-sqlite

%description
qpdfview is a tabbed PDF, PS, and DjVu viewer.
It uses the Poppler library for rendering and CUPS for printing.
It provides a clear and simple graphical user interface using the Qt framework.

%prep
%setup -q

%build
#translations
%{_qt5_bindir}/lrelease qpdfview.pro

%qmake_qt5 \
	PLUGIN_INSTALL_PATH="%{_libdir}/%{name}" \
	DATA_INSTALLPATH="%{_datadir}/%{name}" \
	qpdfview.pro

%make

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.4.16-4.mga6
+ Revision: 1070643
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.4.16-3.mga6
+ Revision: 1046198
- test rebuild for poppler

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 daviddavid <daviddavid> 0.4.16-1.mga6
+ Revision: 903280
- new version: 0.4.16

* Sat Sep 05 2015 daviddavid <daviddavid> 0.4.15-1.mga6
+ Revision: 872928
- new version: 0.4.15
- build with Qt5
- update BuildRequires and Requires
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.4.11.1-3.mga5
+ Revision: 748217
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.11.1-2.mga5
+ Revision: 688505
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 0.4.11.1-1.mga5
+ Revision: 660314
- New version: 0.4.11.1

* Mon May 12 2014 sander85 <sander85> 0.4.10-1.mga5
+ Revision: 622262
- New version: 0.4.10

* Thu Mar 13 2014 dams <dams> 0.4.8-1.mga5
+ Revision: 603223
- new version 0.4.8

* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 533686
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 wally <wally> 0.4.4-3.mga4
+ Revision: 474869
- require qt4-database-plugin-sqlite

* Tue Sep 03 2013 wally <wally> 0.4.4-2.mga4
+ Revision: 474827
- fix missing translations (mga#11140)

* Sun Aug 04 2013 djennings <djennings> 0.4.4-1.mga4
+ Revision: 463207
- New version 0.4.4

* Wed Jun 26 2013 djennings <djennings> 0.4.3-1.mga4
+ Revision: 447264
- Initial import into Mageia

